# GameProperty(bpy_struct)

base class — `bpy_struct`

subclasses — `GameBooleanProperty`, `GameFloatProperty`, `GameIntProperty`, `GameStringProperty`, `GameTimerProperty`

class `bpy.types.``GameProperty`(bpy_struct)

  Game engine user defined object property

  `name`

    Available as GameObject attributes in the game engine’s python API

    Type: | string, default “”, (never None)

  `show_debug`

    Print debug information for this property

    Type: | boolean, default False

  `type`
    - `BOOL` Boolean, Boolean Property.
    - `INT` Integer, Integer Property.
    - `FLOAT` Float, Floating-Point Property.
    - `STRING` String, String Property.
    - `TIMER` Timer, Timer Property.

    Type: | enum in [‘BOOL’, ‘INT’, ‘FLOAT’, ‘STRING’, ‘TIMER’], default ‘BOOL’

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`GameObjectSettings.properties` |